#ifndef MACHINETYPEFUN_H
#define MACHINETYPEFUN_H

#include <QObject>
#include <QTextCodec>
#include "items/itemsmanage.h"
#include "main.h"

class MachineTypeFun : public QObject
{
    Q_OBJECT
public:
    explicit MachineTypeFun(QObject *parent = 0);

public:
    virtual ~MachineTypeFun();

public:
    virtual QList <ParaItem> getParasListByMcSel();
    virtual QList <OutCtrlItem> getOutCtrlListByFilter();
    virtual QList <ShortCutItem> getShortCutListByFilter();
    virtual QList <AssistItem> getAssistListByFilter();
    virtual QList <PatternSetItem> getPatternSetListByFilter();
    virtual QList <ParaSetItem> getParaSetListByFilter();
    virtual QList <EmbFunctionItem> getEmbFunctionListByFilter();
    virtual QList <SensorItem> getSensorList();
    virtual QList <ErrorCodeStateItem> getErrorCodeAndStateList();

public:
    QList <ParaItem> m_allParasList;
    QList <OutCtrlItem> m_allOutCtrlList;

    QList <ShortCutItem> m_allShortCutList;
    QList <AssistItem> m_allAssistList;
    QList <PatternSetItem> m_allPatternSetList;
    QList <ParaSetItem> m_allParaSetList;
    QList <EmbFunctionItem> m_allEmbFunctionList;
    QList <SensorItem> m_allSensorList;
    QList <ErrorCodeStateItem> m_allErrorCodeAndStateList;

private:
    void initAllSensorList();//初始化全部传感器列表
};

#endif // MACHINETYPEFUN_H
